Package org.eclipse.microprofile.metrics.test.optional

## Class LambdaMatcher<T>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.eclipse.microprofile.metrics.test.optional.LambdaMatcher<T>

All Implemented Interfaces:
  `org.hamcrest.Matcher<T>`, `org.hamcrest.SelfDescribing`

    public class LambdaMatcher<T>
    extends org.hamcrest.BaseMatcher<T>

### Constructor Summary

Constructors
`LambdaMatcher​(Function<T,​Boolean> matcher, String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `describeTo​(org.hamcrest.Description description)`
`boolean` `matches​(Object argument)`

### Methods inherited from class org.hamcrest.BaseMatcher

`_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, isNotNull, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaMatcher

    public LambdaMatcher​(Function<T,​Boolean> matcher,
                         String description)

### Method Detail

#### matches

    public boolean matches​(Object argument)

#### describeTo

    public void describeTo​(org.hamcrest.Description description)